package com.yihaomen.mybatisplus.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yihaomen.mybatisplus.entity.User;
import com.yihaomen.mybatisplus.service.IUserService;
import org.springframework.beans.factory.annotation.Autowired;

import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private IUserService userService;

    @PostMapping("")
    public String save(@RequestBody User user) {
        userService.saveOrUpdate(user);
        return "ok";
    }

    @GetMapping("")
    public List<User> list() {
        return userService.list();
    }


    @PostMapping("/{page}/{size}")
    public Page<User> pageList(@PathVariable(value="page")long page, @PathVariable(value="size")long size,
                               @RequestBody User user) {
        Page<User> pageContent = userService.customizePagination(page, size ,user);
        return pageContent;
    }


}
