package com.yihaomen.mybatisplus.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yihaomen.mybatisplus.entity.User;
import com.yihaomen.mybatisplus.mapper.UserMapper;
import com.yihaomen.mybatisplus.service.IUserService;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

@Service
public class UserService extends ServiceImpl<UserMapper, User> implements IUserService {


    @Override
    public Page<User> customizePagination(long page, long size, User user) {

        QueryWrapper<User> condiction = new QueryWrapper<>();
        condiction.like(StringUtils.hasText(user.getName()), "username", user.getName());
        condiction.eq("points", 1);
        Page<User> pageContent = this.page(new Page<User>(page, size), condiction);
        return pageContent;

    }
}
